import random


def get_menu():
    return {
        "Tuna Nigiri (Maguro)": 3.50,
        "Salmon Nigiri (Sake)": 3.00,
        "Yellowtail Nigiri (Hamachi)": 4.00,
        "Shrimp Nigiri (Ebi)": 2.75,
        "Octopus Nigiri (Tako)": 3.75,
        "Scallop Nigiri (Hotate)": 4.25,
        "Squid Nigiri (Ika)": 3.00,
        "Eel Nigiri (Unagi)": 5.00,
        "Mackerel Nigiri (Saba)": 3.25,
        "Salmon Roe Nigiri (Ikura)": 6.00,
        "Sea Urchin Nigiri (Uni)": 7.50,
        "Tuna Sashimi (Maguro)": 5.00,
        "Salmon Sashimi (Sake)": 4.50,
        "Yellowtail Sashimi (Hamachi)": 5.50,
        "Fatty Tuna Sashimi (Otoro)": 7.00,
        "Salmon Maki (Sake)": 3.00,
        "Tuna Maki (Tekka Maki)": 3.50,
        "Cucumber Roll (Kappa Maki)": 2.00,
        "California Roll (Crab and Avocado)": 4.50,
        "Dragon Roll (Eel and Avocado)": 6.00,
        "Spider Roll (Soft Shell Crab)": 5.50,
        "Rainbow Roll (Tuna, Salmon, Yellowtail)": 7.00,
        "Spicy Tuna Roll (Tuna with Chili Sauce)": 5.25,
        "Philadelphia Roll (Salmon and Cream Cheese)": 4.75
    }


def generate_order(menu=None, order_len=10 ** 3, seed=43):
    if menu is None:
        menu = get_menu()
    random.seed(seed)
    sub_menu = random.choices(list(menu.keys()), k=random.randint(2, len(menu)))

    order = []
    for _ in range(order_len):
        order.append(random.choice(sub_menu))

    return order
